extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Almacenes"
    - var CabeceraListado = ["Almacén", "Descripción"]
    - var CantidadListado = "{{ tAlmacenes.length }}"
    - var TituloDatos = "Detalles del Almacén"
    - var TamanoColeccion = "tAlmacenes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tAlmacenFor of tAlmacenes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Almacen_Eliminar(tAlmacenFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Almacen(tAlmacenFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tAlmacenFor.Codalmacen }}
        td
            h6.text-xs.text-nowrap {{ tAlmacenFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-almacen-detalle-cabecera([(Almacen)]="tAlmacenActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-almacen-detalle-datos([(Almacen)]="tAlmacenActual")
